org.apache.http.entity.mime

## Class FormBodyPartBuilder

- java.lang.Object
- - org.apache.http.entity.mime.FormBodyPartBuilder

    public class FormBodyPartBuilder
    extends Object

Builder for individual `FormBodyPart`s.

Since:
  4.4

### Method Summary

Methods
`FormBodyPartBuilder` `addField(String name, String value)`
`FormBodyPart` `build()`
`static FormBodyPartBuilder` `create()`
`static FormBodyPartBuilder` `create(String name, ContentBody body)`
`FormBodyPartBuilder` `removeFields(String name)`
`FormBodyPartBuilder` `setBody(ContentBody body)`
`FormBodyPartBuilder` `setField(String name, String value)`
`FormBodyPartBuilder` `setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static FormBodyPartBuilder create(String name,
                             ContentBody body)

#### create

    public static FormBodyPartBuilder create()

#### setName

    public FormBodyPartBuilder setName(String name)

#### setBody

    public FormBodyPartBuilder setBody(ContentBody body)

#### addField

    public FormBodyPartBuilder addField(String name,
                               String value)

#### setField

    public FormBodyPartBuilder setField(String name,
                               String value)

#### removeFields

    public FormBodyPartBuilder removeFields(String name)

#### build

    public FormBodyPart build()